NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Annotations.TargetPointBuilder Class Reference

Represents a NXOpen.Annotations.TargetPoint builder More...

Inheritance diagram for NXOpen.Annotations.TargetPointBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Thickness {
  Thin, Normal, Thick, One = 6,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 the types of target point thickness More...
 

Properties

unsafe double Angle [get, set]
 Returns or sets the angle More...
 
unsafe NXOpen.NXColor Color [get, set]
 Returns or sets the color More...
 
unsafe double Height [get, set]
 Returns or sets the height More...
 
unsafe NXOpen.SelectNXObject Inherit [get]
 Returns the inherit More...
 
unsafe NXOpen.SelectNXObject Location [get]
 Returns the location More...
 
unsafe
NXOpen.Annotations.TargetPointBuilder.Thickness 
Width [get, set]
 Returns or sets the width More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Annotations.TargetPoint builder

To create a new instance of this class, use NXOpen.Annotations.TargetPointCollection.CreateTargetPointBuilder

Default values.

Property Value

Angle

0

Height

5

Width

Thin

Created in NX6.0.0

Member Enumeration Documentation

the types of target point thickness

Enumerator
Thin 

Thin

Normal 

Normal

Thick 

Thick

One 

Width One

Two 

Width Two

Three 

Width Three

Four 

Width Four

Five 

Width Five

Six 

Width Six

Seven 

Width Seven

Eight 

Width Eight

Nine 

Width Nine

Property Documentation

unsafe double NXOpen.Annotations.TargetPointBuilder.Angle
getset

Returns or sets the angle

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Annotations.TargetPointBuilder.Color
getset

Returns or sets the color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.TargetPointBuilder.Height
getset

Returns or sets the height

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.SelectNXObject NXOpen.Annotations.TargetPointBuilder.Inherit
get

Returns the inherit

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Annotations.TargetPointBuilder.Location
get

Returns the location

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.TargetPointBuilder.Thickness NXOpen.Annotations.TargetPointBuilder.Width
getset

Returns or sets the width

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.